# $Revision: 1.837.2.42.2.1 $, $Date: 2008-02-06 22:04:47 $
#
# TODO:
# - python(abi) cap is not provided automatically because /usr/lib*/libpython2*.so.*
#   matches ELF first
# - repackaging when lzma is not installed (todo: fix digest signature of header)
#   rpmbuild computes digest when writing package to temporary file, then adds a few
#   tags (incl. digest) and writes whole package to destination file;
#   repackaging uses unchanged "immutable header" image from original rpm, also
#   preserving payload format and compressor from original rpm, _not_ current settings
#
# Conditional build:
%bcond_with	static		# build static rpm+rpmi
%bcond_without	apidocs		# don't generate documentation with doxygen
%bcond_without	autoreqdep	# autogenerate package name deps in addition to sonames/perl(X)
%bcond_without	python		# don't build python bindings
%bcond_without	selinux		# build without selinux support
%bcond_without	system_libmagic	# don't use system libmagic
%bcond_without	suggest_tags	# build without Suggest tag (bootstrapping)
%bcond_with	neon		# build with HTTP/WebDAV support (neon library)
# force_cc		- force using __cc other than "%{_target_cpu}-pld-linux-gcc"
# force_cxx		- force using __cxx other than "%{_target_cpu}-pld-linux-g++"
# force_cpp		- force using __cpp other than "%{_target_cpu}-pld-linux-gcc -E"

# versions of required libraries
%define	reqdb_ver	4.5.20-3
%define	reqpopt_ver	1.10.8
%define	beecrypt_ver	2:4.1.2-4
%define	find_lang_rev	1.27
%define	sover	4.4
Summary:	RPM Package Manager
Summary(de.UTF-8):	RPM Packet-Manager
Summary(es.UTF-8):	Gestor de paquetes RPM
Summary(pl.UTF-8):	Aplikacja do zarządzania pakietami RPM
Summary(pt_BR.UTF-8):	Gerenciador de pacotes RPM
Summary(ru.UTF-8):	Менеджер пакетов от RPM
Summary(uk.UTF-8):	Менеджер пакетів від RPM
Name:		rpm
Version:	4.4.9
Release:	31
License:	LGPL
Group:		Base
Source0:	http://rpm5.org/files/rpm/rpm-4.4/%{name}-%{version}.tar.gz
# Source0-md5:	210b768006e7d88dd8a3bcd498ea27f6
Source1:	%{name}.groups
Source2:	%{name}.platform
Source3:	%{name}-install-tree
Source4:	%{name}-find-spec-bcond
Source5:	%{name}-find-lang
Source6:	%{name}-groups-po.awk
Source7:	%{name}-compress-doc

Source9:	%{name}-php-provides
Source10:	%{name}-php-requires
Source11:	%{name}.sysinfo
Source12:	perl.prov
Source13:	%{name}-user_group.sh
Source14:	%{name}.sysconfig
Source15:	%{name}-macros.java
Source16:	%{name}-java-requires
# http://svn.pld-linux.org/banner.sh/
Source17:	banner.sh
Patch1067:	%{name}-disable-features.patch
Patch1068:	%{name}-rpmrc-ac.patch
Patch1069:	%{name}-parentdirs.patch
Patch1070:	%{name}-macros-ac.patch

Patch0:		%{name}-pl.po.patch
Patch1:		%{name}-rpmrc.patch
Patch2:		%{name}-arch.patch
Patch3:		%{name}-rpmpopt.patch
Patch4:		%{name}-perl-macros.patch
Patch5:		%{name}-perl-req-perlfile.patch
Patch6:		%{name}-noexpand.patch
Patch7:		%{name}-scripts-closefds.patch
Patch8:		%{name}-python-macros.patch
Patch9:		%{name}-gettext-in-header.patch
Patch10:	%{name}-compress-doc.patch
Patch11:	%{name}-Nmalloc.patch
Patch12:	%{name}-system_libs.patch
Patch13:	%{name}-bb-and-short-circuit.patch
Patch14:	%{name}-etc_dir.patch
Patch15:	%{name}-system_libs-more.patch
Patch16:	%{name}-php-deps.patch
Patch17:	%{name}-ldconfig-always.patch
Patch18:	%{name}-perl_req.patch
Patch19:	%{name}-link.patch
Patch20:	%{name}-magic-usesystem.patch
Patch21:	%{name}-dontneedutils.patch
Patch22:	%{name}-provides-dont-obsolete.patch
Patch23:	%{name}-pkgconfigdeps.patch
Patch24:	%{name}-po.patch
Patch25:	%{name}-rpm2cpio-payload.patch
Patch26:	%{name}-notsc.patch
Patch27:	%{name}-hack-norpmlibdep.patch
Patch28:	%{name}-makefile-no_myLDADD_deps.patch
Patch29:	%{name}-macros-dbhash.patch
Patch30:	%{name}-rpm5-patchset-8784.patch
Patch31:	%{name}-missing-prototypes.patch
Patch32:	%{name}-pld-autodep.patch
Patch33:	%{name}-arch-x86_64.patch
Patch34:	%{name}-epoch0.patch
Patch35:	%{name}-perl_req-INC_dirs.patch
Patch36:	%{name}-debuginfo.patch
Patch37:	%{name}-doxygen_hack.patch
Patch38:	%{name}-rpm5-patchset-8021.patch
Patch39:	%{name}-popt-coreutils.patch
Patch41:	%{name}-reduce-stack-usage.patch
Patch42:	%{name}-old-fileconflicts-behaviour.patch
Patch43:	%{name}-rpm5-patchset-8637.patch
Patch44:	%{name}-no-neon.patch
Patch45:	%{name}-no-sqlite.patch
Patch46:	%{name}-mono.patch
Patch47:	%{name}-javadeps.patch
Patch48:	%{name}-nopie.patch
Patch49:	%{name}-p4.patch
Patch50:	%{name}-macros.patch
Patch51:	%{name}-cleanlibdirs.patch
Patch52:	%{name}-morearchs.patch
Patch53:	%{name}-chroot-hack.patch
Patch55:	%{name}-truncate-cvslog.patch
Patch56:	%{name}-rpm5-patchset-8413.patch
Patch57:	%{name}-as_needed-fix.patch
Patch58:	%{name}-repackage-wo-lzma.patch
Patch59:	%{name}-libtool-deps.patch
Patch60:	%{name}-obsolete-rpmrc.patch
Patch61:	%{name}-sparc64.patch
Patch62:	%{name}-rpmdb.patch
Patch63:	%{name}-lzma-size_t.patch
Patch64:	%{name}-tar_as_secondary_source.patch
Patch65:	%{name}-man_pl.patch
Patch66:	%{name}-lzma-tukaani.patch
Patch67:	%{name}-v3-support.patch
Patch68:	%{name}-cleanbody.patch
Patch69:	%{name}-rpm5-patchset-9486.patch
URL:		http://rpm5.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1.4
BuildRequires:	beecrypt-devel >= %{beecrypt_ver}
BuildRequires:	bzip2-devel >= 1.0.2-17
BuildRequires:	db-devel >= %{reqdb_ver}
BuildRequires:	elfutils-devel >= 0.108
BuildRequires:	gettext-devel >= 0.11.4-2
%{?with_system_libmagic:BuildRequires:	libmagic-devel}
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.18}
# needed only for AM_PROG_CXX used for CXX substitution in rpm.macros
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 1:1.4.2-9
%if %{with neon}
BuildRequires:	libxml2-devel
BuildRequires:	neon-devel >= 0.25.5
%endif
BuildRequires:	patch >= 2.2
BuildRequires:	popt-devel >= %{reqpopt_ver}
%{?with_python:BuildRequires:	python-devel >= 1:2.3}
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	rpm-perlprov
%{?with_python:BuildRequires:	rpm-pythonprov}
BuildRequires:	zlib-devel
%if %{with apidocs}
BuildRequires:	doxygen
BuildRequires:	ghostscript
BuildRequires:	graphviz
BuildRequires:	tetex-pdftex
%endif
%if %{with static}
# Require static library only for static build
BuildRequires:	beecrypt-static >= %{beecrypt_ver}
BuildRequires:	bzip2-static >= 1.0.2-17
BuildRequires:	db-static >= %{reqdb_ver}
BuildRequires:	elfutils-static
BuildRequires:	glibc-static >= 2.2.94
%{?with_system_libmagic:BuildRequires:	libmagic-static}
%{?with_selinux:BuildRequires:	libselinux-static >= 1.18}
BuildRequires:	popt-static >= %{reqpopt_ver}
BuildRequires:	zlib-static
%endif
Requires:	%{name}-base = %{version}-%{release}
Requires:	%{name}-lib = %{version}-%{release}
Requires:	beecrypt >= %{beecrypt_ver}
Requires:	popt >= %{reqpopt_ver}
Obsoletes:	rpm-getdeps
%{!?with_static:Obsoletes:	rpm-utils-static}
Conflicts:	glibc < 2.2.92
# poldek with version dep on rpm needed
Conflicts:	poldek < 0.20-21
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_binary_payload		w9.gzdio
%define		_noPayloadPrefix	1

# don't require very fresh rpm.macros to build
%define		__gettextize gettextize --copy --force --intl ; cp -f po/Makevars{.template,}
%define		ix86	i386 i486 i586 i686 athlon pentium3 pentium4
%define		ppc	ppc ppc7400 ppc7450
%define		x8664	amd64 ia32e x86_64

# stabilize new build environment
%define		__newcc %{?force_cc}%{!?force_cc:%{_target_cpu}-pld-linux-gcc}
%define		__newcxx %{?force_cxx}%{!?force_cxx:%{_target_cpu}-pld-linux-g++}
%define		__newcpp %{?force_cpp}%{!?force_cpp:%{_target_cpu}-pld-linux-gcc -E}

%define		_rpmlibdir /usr/lib/rpm

%define		specflags	-fno-strict-aliasing

%description
RPM is a powerful package manager, which can be used to build,
install, query, verify, update, and uninstall individual software
packages. A package consists of an archive of files, and package
information, including name, version, and description.

%description -l de.UTF-8
RPM ist ein kräftiger Packet-Manager, der verwendet sein kann zur
Installation, Anfrage, Verifizierung, Aktualisierung und
Uninstallation individueller Softwarepakete. Ein Paket besteht aus
einem Archiv Dateien und Paketinformation, inklusive Name, Version und
Beschreibung.

%description -l es.UTF-8
RPM es un poderoso administrador de paquetes, que puede ser usado para
construir, instalar, pesquisar, verificar, actualizar y desinstalar
paquetes individuales de software. Un paquete consiste en un
almacenaje de archivos, y información sobre el paquete, incluyendo
nombre, versión y descripción.

%description -l pl.UTF-8
RPM jest doskonałym programem zarządzającym pakietami. Umożliwia on
przebudowanie, instalację czy weryfikację dowolnego pakietu.
Informacje dotyczące każdego pakietu, takie jak jego opis, lista
plików wchodzących w skład pakietu, zależności od innych pakietów, są
przechowywane w bazie danych i można je uzyskać za pomocą opcji
odpytywania programu rpm.

%description -l pt_BR.UTF-8
RPM é um poderoso gerenciador de pacotes, que pode ser usado para
construir, instalar, pesquisar, verificar, atualizar e desinstalar
pacotes individuais de software. Um pacote consiste de um conjunto de
arquivos e informações adicionais, incluindo nome, versão e descrição
do pacote, permissões dos arquivos, etc.

%description -l ru.UTF-8
RPM - это мощный менеджер пакетов, который может быть использован для
создания, инсталляции, запросов (query), проверки, обновления и
удаления программных пакетов. Пакет состоит из файлового архива и
служебной информации, включающей название, версию, описание и другие
данные о пакете.

%description -l uk.UTF-8
RPM - це потужний менеджер пакетів, що може бути використаний для
створення, інсталяції, запитів (query), перевірки, поновлення та
видалення програмних пакетів. Пакет складається з файлового архіву та
службової інформації, що містить назву, версію, опис та іншу
інформацію про пакет.

%package base
Summary:	RPM base package - scripts used by rpm packages themselves
Summary(pl.UTF-8):	Podstawowy pakiet RPM - skrypty używane przez same pakiety rpm
Group:		Base
Requires:	filesystem
Obsoletes:	vserver-rpm

%description base
The RPM base package contains scripts used by rpm packages themselves.
These include:
- scripts for adding/removing groups and users needed for rpm
  packages,
- banner.sh to display %%banner messages from rpm scriptlets.

%description base -l pl.UTF-8
Pakiet podstawowy RPM zwiera skrypty używane przez same pakiety rpm.
Zawiera on:
- skrypty dodające/usuwające grupy i użytkowników dla pakietów rpm,
- banner.sh do pokazywania komunikatów %%banner dla skryptletów rpm.

%package lib
Summary:	RPMs library
Summary(pl.UTF-8):	Biblioteki RPM-a
Group:		Libraries
Requires:	beecrypt >= %{beecrypt_ver}
Requires:	db >= %{reqdb_ver}
%{?with_selinux:Requires:	libselinux >= 1.18}
%{?with_system_libmagic:Requires:	libmagic >= 1.15-2}
Requires:	popt >= %{reqpopt_ver}
%{?with_suggest_tags:Suggests:	lzma >= 1:4.42.0}
Obsoletes:	rpm-libs
# avoid installing with incompatible (non-tukaani) lzma
Conflicts:	lzma < 1:4.42.0
# avoid SEGV caused by mixed db versions
Conflicts:	poldek < 0.18.1-16

%description lib
RPMs library.

%description lib -l pl.UTF-8
Biblioteki RPM-a.

%package devel
Summary:	Header files for rpm libraries
Summary(de.UTF-8):	Header-Dateien für rpm Libraries
Summary(es.UTF-8):	Archivos de inclusión y bibliotecas para programas de manipulación de paquetes rpm
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek rpm
Summary(pt_BR.UTF-8):	Arquivos de inclusão e bibliotecas para programas de manipulação de pacotes RPM
Summary(ru.UTF-8):	Хедеры и библиотеки для программ, работающих с rpm-пакетами
Summary(uk.UTF-8):	Хедери та бібліотеки для програм, що працюють з пакетами rpm
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}
Requires:	beecrypt-devel >= %{beecrypt_ver}
Requires:	bzip2-devel
Requires:	db-devel >= %{reqdb_ver}
Requires:	elfutils-devel
%{?with_system_libmagic:Requires:	libmagic-devel}
%{?with_selinux:Requires:	libselinux-devel}
Requires:	popt-devel >= %{reqpopt_ver}
Requires:	zlib-devel

%description devel
The RPM packaging system includes C libraries that make it easy to
manipulate RPM packages and databases. They are intended to ease the
creation of graphical package managers and other tools that need
intimate knowledge of RPM packages. This package contains header files
for these libraries.

%description devel -l de.UTF-8
Der RPM-Packensystem enthält eine C-Library, die macht es einfach
RPM-Pakete und Dateibanken zu manipulieren. Er eignet sich für
Vereinfachung des Schaffens grafischer Paket-Manager und anderer
Werkzeuge, die intime Kenntnis von RPM-Paketen brauchen.

%description devel -l es.UTF-8
El sistema de empaquetado RPM incluye una biblioteca C que vuelve
fácil la manipulación de paquetes y bases de datos RPM. Su objetivo es
facilitar la creación de administradores gráficos de paquetes y otras
herramientas que necesiten un conocimiento profundo de paquetes RPM.

%description devel -l pl.UTF-8
System RPM zawiera biblioteki C, które ułatwiają manipulowanie
pakietami RPM oraz bazami danych. W zamiarze ma to uprościć tworzenie
graficznych programów zarządzających pakietami oraz innych narzędzi,
które wymagają szczegółowej wiedzy na temat pakietów RPM. Ten pakiet
zawiera pliki nagłówkowe wspomnianych bibliotek.

%description devel -l pt_BR.UTF-8
O sistema de empacotamento RPM inclui uma biblioteca C que torna fácil
a manipulação de pacotes e bases de dados RPM. Seu objetivo é
facilitar a criação de gerenciadores gráficos de pacotes e outras
ferramentas que precisem de conhecimento profundo de pacotes RPM.

%description devel -l ru.UTF-8
Система управления пакетами RPM содержит библиотеку C, которая
упрощает манипуляцию пакетами RPM и соответствующими базами данных.
Эта библиотека предназначена для облегчения создания графических
пакетных менеджеров и других утилит, которым необходимо работать с
пакетами RPM.

%description devel -l uk.UTF-8
Система керування пакетами RPM містить бібліотеку C, котра спрощує
роботу з пакетами RPM та відповідними базами даних. Ця бібліотека
призначена для полегшення створення графічних пакетних менеджерів та
інших утиліт, що працюють з пакетами RPM.

%package static
Summary:	RPM static libraries
Summary(de.UTF-8):	RPMs statische Libraries
Summary(pl.UTF-8):	Biblioteki statyczne RPM-a
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para o desenvolvimento de aplicações RPM
Summary(ru.UTF-8):	Статическая библиотека для программ, работающих с rpm-пакетами
Summary(uk.UTF-8):	Статична бібліотека для програм, що працюють з пакетами rpm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	beecrypt-static >= %{beecrypt_ver}
Requires:	bzip2-static
Requires:	db-static >= %{reqdb_ver}
Requires:	elfutils-static
%{?with_system_libmagic:Requires:	libmagic-static}
Requires:	popt-static >= %{reqpopt_ver}
Requires:	zlib-static

%description static
RPM static libraries.

%description static -l de.UTF-8
RPMs statische Libraries.

%description static -l pl.UTF-8
Biblioteki statyczne RPM-a.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento.

%description static -l ru.UTF-8
Система управления пакетами RPM содержит библиотеку C, которая
упрощает манипуляцию пакетами RPM и соответствующими базами данных.
Это статическая библиотека RPM.

%description static -l uk.UTF-8
Система керування пакетами RPM містить бібліотеку C, котра спрощує
роботу з пакетами RPM та відповідними базами даних. Це статична
бібліотека RPM.

%package utils
Summary:	Additional utilities for managing RPM packages and database
Summary(de.UTF-8):	Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
Summary(pl.UTF-8):	Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	popt >= %{reqpopt_ver}
Conflicts:	filesystem-debuginfo < 3.0-16

%description utils
Additional utilities for managing RPM packages and database.

%description utils -l de.UTF-8
Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.

%description utils -l pl.UTF-8
Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.

%package utils-perl
Summary:	Additional utilities for managing RPM packages and database
Summary(de.UTF-8):	Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken
Summary(pl.UTF-8):	Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami
Group:		Applications/File
Requires:	%{name}-utils = %{version}-%{release}
Requires:	popt >= %{reqpopt_ver}

%description utils-perl
Additional utilities for managing RPM packages and database.

%description utils-perl -l de.UTF-8
Zusatzwerkzeuge für Verwaltung RPM-Pakete und Datenbanken.

%description utils-perl -l pl.UTF-8
Dodatkowe narzędzia do zarządzania bazą RPM-a i pakietami.

%package utils-static
Summary:	Static rpm utilities
Summary(pl.UTF-8):	Statyczne narzędzia rpm
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description utils-static
Static rpm utilities for repairing system in case something with
shared libraries used by rpm become broken. Currently it contains rpmi
binary, which can be used to install/upgrade/remove packages without
using shared libraries (well, in fact with exception of NSS modules).

%description utils-static -l pl.UTF-8
Statyczne narzędzia rpm do naprawy systemu w przypadku zepsucia czegoś
związanego z bibliotekami współdzielonymi używanymi przez rpm-a.
Aktualnie pakiet zawiera binarkę rpmi, którą można użyć do instalacji,
uaktualniania lub usuwania pakietów bez udziału bibliotek statycznych
(z wyjątkiem modułów NSS).

%package build
Summary:	Scripts for building binary RPM packages
Summary(de.UTF-8):	Scripts fürs Bauen binärer RPM-Pakete
Summary(pl.UTF-8):	Skrypty pomocnicze do budowania binarnych RPM-ów
Summary(pt_BR.UTF-8):	Scripts e programas executáveis usados para construir pacotes
Summary(ru.UTF-8):	Скрипты и утилиты, необходимые для сборки пакетов
Summary(uk.UTF-8):	Скрипти та утиліти, необхідні для побудови пакетів
Group:		Applications/File
Requires(pre):	findutils
Requires:	%{name}-build-macros >= 1.417
Requires:	%{name}-utils = %{version}-%{release}
Requires:	/bin/id
Requires:	awk
Requires:	bzip2
Requires:	chrpath >= 0.10-4
Requires:	cpio
Requires:	diffutils
Requires:	elfutils
Requires:	file >= 4.17
Requires:	fileutils
Requires:	findutils
%ifarch athlon
Requires:	gcc >= 3.0.3
%else
Requires:	gcc
%endif
Requires:	glibc-devel
Requires:	grep
Requires:	gzip
Requires:	lzma
Requires:	make
Requires:	patch
Requires:	sed
Requires:	sh-utils
Requires:	tar
Requires:	textutils
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(monoautodeps)
Provides:	rpmbuild(noauto) = 3
%ifarch %{x8664}
Conflicts:	automake < 1:1.7.9-2
Conflicts:	libtool < 2:1.5-13
%endif

%description build
Scripts for building binary RPM packages.

%description build -l de.UTF-8
Scripts fürs Bauen binärer RPM-Pakete.

%description build -l pl.UTF-8
Skrypty pomocnicze do budowania binarnych RPM-ów.

%description build -l pt_BR.UTF-8
Este pacote contém scripts e programas executáveis que são usados para
construir pacotes usando o RPM.

%description build -l ru.UTF-8
Различные вспомогательные скрипты и исполняемые программы, которые
используются для сборки RPM'ов.

%description build -l uk.UTF-8
Різноманітні допоміжні скрипти та утиліти, які використовуються для
побудови RPM'ів.

%package javaprov
Summary:	Additional utilities for checking Java provides/requires in RPM packages
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach RPM
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	file
Requires:	findutils >= 1:4.2.26
Requires:	mktemp
Requires:	unzip

%description javaprov
Additional utilities for checking Java provides/requires in RPM
packages.

%description javaprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzania zależności kodu w Javie w pakietach
RPM.

%package perlprov
Summary:	Additional utilities for checking Perl provides/requires in RPM packages
Summary(de.UTF-8):	Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w pakietach RPM
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	perl-devel
Requires:	perl-modules

%description perlprov
Additional utilities for checking Perl provides/requires in RPM
packages.

%description perlprov -l de.UTF-8
Zusatzwerkzeuge fürs Nachsehen Perl-Abhängigkeiten in RPM-Paketen.

%description perlprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzenia zależności skryptów Perla w
pakietach RPM.

%package pythonprov
Summary:	Python macros, which simplifies creation of RPM packages with Python software
Summary(pl.UTF-8):	Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w Pythonie
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	python
Requires:	python-modules

%description pythonprov
Python macros, which simplifies creation of RPM packages with Python
software.

%description pythonprov -l pl.UTF-8
Makra ułatwiające tworzenie pakietów RPM z programami napisanymi w
Pythonie.

%package php-pearprov
Summary:	Additional utilities for checking PHP PEAR provides/requires in RPM packages
Summary(pl.UTF-8):	Dodatkowe narzędzia do sprawdzania zależności skryptów php w RPM
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}
Requires:	sed >= 4.0

%description php-pearprov
Additional utilities for checking PHP PEAR provides/requires in RPM
packages.

%description php-pearprov -l pl.UTF-8
Dodatkowe narzędzia do sprawdzenia zależności skryptów PHP PEAR w
pakietach RPM.

%package -n python-rpm
Summary:	Python interface to RPM library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki RPM-a
Summary(pt_BR.UTF-8):	Módulo Python para aplicativos que manipulam pacotes RPM
Group:		Development/Languages/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python
Obsoletes:	rpm-python

%description -n python-rpm
The rpm-python package contains a module which permits applications
written in the Python programming language to use the interface
supplied by RPM (RPM Package Manager) libraries.

This package should be installed if you want to develop Python
programs that will manipulate RPM packages and databases.

%description -n python-rpm -l pl.UTF-8
Pakiet rpm-python zawiera moduł, który pozwala aplikacjom napisanym w
Pythonie na używanie interfejsu dostarczanego przez biblioteki RPM-a.

Pakiet ten powinien zostać zainstalowany, jeśli chcesz pisać w
Pythonie programy manipulujące pakietami i bazami danych rpm.

%description -n python-rpm -l pt_BR.UTF-8
O pacote rpm-python contém um módulo que permite que aplicações
escritas em Python utilizem a interface fornecida pelas bibliotecas
RPM (RPM Package Manager).

Esse pacote deve ser instalado se você quiser desenvolver programas em
Python para manipular pacotes e bancos de dados RPM.

%package apidocs
Summary:	RPM API documentation and guides
Summary(pl.UTF-8):	Documentacja API RPM-a i przewodniki
Group:		Documentation

%description apidocs
Documentation for RPM API and guides in HTML format generated from rpm
sources by doxygen.

%description apidocs -l pl.UTF-8
Dokumentacja API RPM-a oraz przewodniki w formacie HTML generowane ze
źrodeł RPM-a przez doxygen.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
sed -e 's/^/@pld@/' %{SOURCE2} >>platform.in
#cp -f platform.in macros.pld.in # what for?
echo '%%define	__perl_provides	%%{__perl} /usr/lib/rpm/perl.prov' > macros.perl
echo '%%define	__perl_requires	%%{__perl} /usr/lib/rpm/perl.req' >> macros.perl
echo '# obsoleted file' > macros.python
echo '%%define	__php_provides	/usr/lib/rpm/php.prov' > macros.php
echo '%%define	__php_requires	/usr/lib/rpm/php.req' >> macros.php
echo '%%define	__mono_provides	/usr/lib/rpm/mono-find-provides' > macros.mono
echo '%%define	__mono_requires	/usr/lib/rpm/mono-find-requires' >> macros.mono
install %{SOURCE5} scripts/find-lang.sh
install %{SOURCE9} scripts/php.prov.in
install %{SOURCE10} scripts/php.req.in
install %{SOURCE12} scripts/perl.prov
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p0
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%{!?with_neon:%patch44 -p1}
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
#%patch52 -p1
%patch53 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%ifarch sparc64
%patch61 -p1
%endif
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1


rm -rf sqlite zlib db db3 popt rpmdb/db.h

%patch1067 -p1
%patch1068 -p1
%patch1069 -p1
%patch1070 -p1

mv -f scripts/{perl.req,perl.req.in}
mv -f scripts/{perl.prov,perl.prov.in}
mv -f po/{no,nb}.po
mv -f po/{sr,sr@Latn}.po

# generate Group translations to *.po
awk -f %{SOURCE6} %{SOURCE1}

# update macros paths
for f in doc{,/ja,/pl}/rpm.8 doc{,/ja,/pl}/rpmbuild.8 ; do
	sed -e 's@lib/rpm/redhat@lib/rpm/pld@g' $f > ${f}.tmp
	mv -f ${f}.tmp $f
done

%build
rev=$(awk '/^#.*Id:.*/{print $4}' scripts/find-lang.sh)
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%if %{with system_libmagic}
rm -rf file
%else
cd file
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
cd ..
%endif

%{__libtoolize}
%{__gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

# config.guess doesn't handle athlon, so we have to change it by hand.
# rpm checks for CPU type at runtime, but it looks better
sed -i -e 's|@host@|%{_target_cpu}-%{_target_vendor}-linux-gnu|' -e 's|@host_cpu@|%{_target_cpu}|' macros.in

# pass CC and CXX too in case of building with some older configure macro
# disable perl-RPM2 build, we have it in separate spec
%configure \
	CC="%{__newcc}" \
	CXX="%{__newcxx}" \
	CPP="%{__newcpp}" \
	WITH_PERL_VERSION=no \
	%{?with_autoreqdep:--enable-adding-packages-names-in-autogenerated-dependancies} \
	--enable-shared \
	--enable-static \
	%{!?with_apidocs:--without-apidocs} \
	%{?with_python:--with-python=%{py_ver}} \
	%{!?with_python:--without-python} \
	%{!?with_selinux:--without-selinux} \
	--without-db

# file_LDFLAGS, debugedit_LDADD - no need to link "file" and "debugedit" statically
%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CPP="%{__cpp}" \
	pylibdir=%{py_libdir} \
	myLDFLAGS="%{rpmldflags}" \
	file_LDFLAGS= \
	debugedit_LDADD="\$(WITH_LIBELF_LIB) -lpopt" \
	staticLDFLAGS=%{?with_static:-all-static}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/%{_lib},/etc/sysconfig,%{_sysconfdir}/rpm,/var/lib/banner}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	staticLDFLAGS=%{?with_static:-all-static} \
	pylibdir=%{py_libdir} \
	pkgbindir="%{_bindir}"

# first platform file entry can't contain regexps
echo "%{_target_cpu}-%{_target_vendor}-linux" > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform

# x86_64 things
%ifarch x86_64
echo "amd64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
echo "x86_64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif

%ifarch amd64
echo "amd64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
echo "x86_64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif

%ifarch ia32e
echo "ia32e-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
echo "x86_64-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif

# x86 things
%ifarch athlon %{x8664}
echo "athlon-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif
%ifarch pentium4 athlon %{x8664}
echo "pentium4-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif
%ifarch pentium3 pentium4 athlon %{x8664}
echo "pentium3-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif
%ifarch i686 pentium3 pentium4 athlon %{x8664}
echo "i686-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif
%ifarch i586 i686 pentium3 pentium4 athlon %{x8664}
echo "i586-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif
%ifarch i486 i586 i686 pentium3 pentium4 athlon %{x8664}
echo "i486-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif
%ifarch %{ix86} %{x8664}
echo "i386-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif

# ppc
%ifarch ppc
echo "ppc-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
echo "powerpc-[^-]*-linux(-gnu)?" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform
%endif

# noarch
echo "noarch-[^-]*-.*" >> $RPM_BUILD_ROOT%{_sysconfdir}/rpm/platform

%ifarch %{ppc}
#sed -e '/_target_platform/s/[%]{_target_cpu}/ppc/' \
#	-i $RPM_BUILD_ROOT%{_rpmlibdir}/ppc74[05]0-linux/macros
%endif

rm $RPM_BUILD_ROOT%{_rpmlibdir}/vpkg-provides*
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{prov,req}.pl
rm $RPM_BUILD_ROOT%{_rpmlibdir}/find-{provides,requires}.perl

# not installed since 4.4.8 (-tools-perl subpackage)
install scripts/rpmdiff scripts/rpmdiff.cgi $RPM_BUILD_ROOT%{_rpmlibdir}

install macros.perl	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.perl
install macros.python	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.python
install macros.php	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.php
install macros.mono	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.mono
install %{SOURCE15}	$RPM_BUILD_ROOT%{_rpmlibdir}/macros.java

install %{SOURCE1} doc/manual/groups
install %{SOURCE3} $RPM_BUILD_ROOT%{_rpmlibdir}/install-build-tree
install %{SOURCE4} $RPM_BUILD_ROOT%{_rpmlibdir}/find-spec-bcond
install %{SOURCE7} $RPM_BUILD_ROOT%{_rpmlibdir}/compress-doc
install %{SOURCE13} $RPM_BUILD_ROOT%{_rpmlibdir}/user_group.sh
install %{SOURCE16} $RPM_BUILD_ROOT%{_rpmlibdir}/java-find-requires
install scripts/php.{prov,req}	$RPM_BUILD_ROOT%{_rpmlibdir}
install %{SOURCE14} $RPM_BUILD_ROOT/etc/sysconfig/rpm

install %{SOURCE17} $RPM_BUILD_ROOT%{_bindir}/banner.sh

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo

touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Conflictname
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Dirnames
install %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Filelinktos
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Obsoletename
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Providename
touch $RPM_BUILD_ROOT%{_sysconfdir}/rpm/sysinfo/Requirename

# obsolete but still installed
rm $RPM_BUILD_ROOT%{_rpmlibdir}/rpmrc

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros <<EOF
# customized rpm macros - global for host
#
#%%_install_langs pl_PL:en_US
%%distribution PLD
#
# remove or replace with file_contexts path if you want to use custom
# SELinux file contexts policy instead of one stored in packages payload
%%_install_file_context_path	%%{nil}
%%_verify_file_context_path	%%{nil}

# If non-zero, all erasures will be automagically repackaged.
#%%_repackage_all_erasures    1
EOF

cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprovfiles <<EOF
# global list of files (regexps) which don't generate Provides
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoprov <<EOF
# global list of script capabilities (regexps) not to be used in Provides
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqfiles <<EOF
# global list of files (regexps) which don't generate Requires
^%{_examplesdir}/
^%{_docdir}/
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreq <<EOF
# global list of script capabilities (regexps) not to be used in Requires
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautoreqdep <<EOF
# global list of capabilities (SONAME, perl(module), php(module) regexps)
# which don't generate dependencies on package NAMES
# -- OpenGL implementation
^libGL.so.1
^libGLU.so.1
^libOSMesa.so
# -- Glide
^libglide3.so.3
# -- mozilla
^libgtkmozembed.so
^libgtksuperwin.so
^libxpcom.so
# -- X11 implementation
^libFS.so
^libI810XvMC.so
^libICE.so
^libSM.so
^libX11.so
^libXRes.so
^libXTrap.so
^libXaw.so
^libXcomposite.so
^libXcursor.so
^libXdamage.so
^libXdmcp.so
^libXevie.so
^libXext.so
^libXfixes.so
^libXfont.so
^libXfontcache.so
^libXft.so
^libXi.so
^libXinerama.so
^libXmu.so
^libXmuu.so
^libXp.so
^libXpm.so
^libXrandr.so
^libXrender.so
^libXss.so
^libXt.so
^libXtst.so
^libXv.so
^libXvMC.so
^libXxf86dga.so
^libXxf86misc.so
^libXxf86rush.so
^libXxf86vm.so
^libdps.so
^libdpstk.so
^libfontenc.so
^libpsres.so
^libxkbfile.so
^libxkbui.so
# -- fam / gamin
^libfam.so.0
EOF
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/noautocompressdoc <<EOF
# global list of file masks not to be compressed in DOCDIR
EOF

# for rpm -e|-U --repackage
install -d $RPM_BUILD_ROOT/var/{spool/repackage,lock/rpm}
touch $RPM_BUILD_ROOT/var/lock/rpm/transaction

# move libs to /lib
for a in librpm-%{sover}.so librpmdb-%{sover}.so librpmio-%{sover}.so ; do
	mv -f $RPM_BUILD_ROOT%{_libdir}/$a $RPM_BUILD_ROOT/%{_lib}
	ln -s /%{_lib}/$a $RPM_BUILD_ROOT%{_libdir}/$a
done

# remove arch dependant macros which have no use on noarch
%{__sed} -i -e '
/{__spec_install_post_strip}/d
/{__spec_install_post_chrpath}/d
/{__spec_install_post_compress_modules}/d
' $RPM_BUILD_ROOT%{_rpmlibdir}/noarch-linux/macros

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/rpm/*.{la,a,py}

# (currently) not used or supported in PLD
rm -f $RPM_BUILD_ROOT%{_rpmlibdir}/{Specfile.pm,cpanflute,cpanflute2,find-provides,find-requires,freshen.sh,http.req,magic.prov,magic.req,perldeps.pl,sql.prov,sql.req,tcl.req}
# wrong location, not used anyway
rm -f $RPM_BUILD_ROOT%{_rpmlibdir}/rpm.{daily,log,xinetd}
# manuals for utils dropped in 4.4.8 (?)
#rm -f $RPM_BUILD_ROOT%{_mandir}/{,*/}/man8/{rpmcache,rpmgraph}.8

# unpackaged in 4.4.9, reasons unknown
rm $RPM_BUILD_ROOT%{_bindir}/rpm{db,e,i,query,sign,u,verify}
rm $RPM_BUILD_ROOT%{_rpmlibdir}/rpm{d,e,i,k,q,u,v}
rm $RPM_BUILD_ROOT%{_rpmlibdir}/symclash.{sh,py}
rm $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm $RPM_BUILD_ROOT%{perl_sitearch}/RPM.pm
rm $RPM_BUILD_ROOT%{perl_sitearch}/auto/RPM/.packlist
rm $RPM_BUILD_ROOT%{perl_sitearch}/auto/RPM/RPM.bs
rm $RPM_BUILD_ROOT%{perl_sitearch}/auto/RPM/RPM.so
rm $RPM_BUILD_ROOT%{_prefix}/local/man/man3/RPM.3pm
rm $RPM_BUILD_ROOT%{_mandir}/{,ja,pl}/man8/rpm{cache,graph}.8

%find_lang %{name}

rm -rf manual
cp -a doc/manual manual
rm -f manual/Makefile*

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun lib -- %{name}-lib < %{version}
rm -f /var/lib/rpm/__db*

%pretrans
# this needs to be a dir
if [ -f %{_sysconfdir}/rpm/sysinfo ]; then
	mv -f %{_sysconfdir}/rpm/sysinfo{,.rpmsave}
	mkdir %{_sysconfdir}/rpm/sysinfo
fi

%post	lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig

%pre build
find %{_rpmlibdir} -name '*-linux' -type l | xargs rm -f

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README wdj/JBJ-GPG-KEY manual/*

%attr(755,root,root) /bin/rpm
#%attr(755,root,root) %{_bindir}/rpmdb
#%attr(755,root,root) %{_bindir}/rpmquery
#%attr(755,root,root) %{_bindir}/rpmsign
#%attr(755,root,root) %{_bindir}/rpmverify

%dir %{_sysconfdir}/rpm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/macros
%dir %{_sysconfdir}/rpm/sysinfo
# these are ok to be replaced
%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/sysinfo/*
%config %verify(not md5 mtime size) %{_sysconfdir}/rpm/platform


%{_mandir}/man8/rpm.8*
%lang(fr) %{_mandir}/fr/man8/rpm.8*
%lang(ja) %{_mandir}/ja/man8/rpm.8*
%lang(ko) %{_mandir}/ko/man8/rpm.8*
%lang(pl) %{_mandir}/pl/man8/rpm.8*
%lang(ru) %{_mandir}/ru/man8/rpm.8*
%lang(sk) %{_mandir}/sk/man8/rpm.8*

%dir /var/lib/rpm
%dir %attr(700,root,root) /var/spool/repackage
%dir /var/lock/rpm
/var/lock/rpm/transaction

#%attr(755,root,root) %{_rpmlibdir}/rpmd
#%{!?with_static:%attr(755,root,root) %{_rpmlibdir}/rpm[eiu]}
#%attr(755,root,root) %{_rpmlibdir}/rpmk
#%attr(755,root,root) %{_rpmlibdir}/rpm[qv]

%{_rpmlibdir}/rpmpopt*
%{_rpmlibdir}/macros

%files base
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rpm
%dir %{_rpmlibdir}
%attr(755,root,root) %{_bindir}/banner.sh
%attr(755,root,root) %{_rpmlibdir}/user_group.sh
%dir /var/lib/banner

%files lib
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/librpm*-*.so
%attr(755,root,root) %{_libdir}/librpm*-*.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/rpm
%{_libdir}/librpm*.la
%attr(755,root,root) %{_libdir}/librpm.so
%attr(755,root,root) %{_libdir}/librpm-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmio.so
%attr(755,root,root) %{_libdir}/librpmio-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmdb.so
%attr(755,root,root) %{_libdir}/librpmdb-%{sover}.so
%attr(755,root,root) %{_libdir}/librpmbuild.so

%files static
%defattr(644,root,root,755)
%{_libdir}/librpm*.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/debugedit
%attr(755,root,root) %{_bindir}/rpm2cpio
%attr(755,root,root) %{_bindir}/rpmdeps
%{!?with_system_libmagic:%attr(755,root,root) %{_bindir}/rpmfile}
%attr(755,root,root) %{_rpmlibdir}/find-debuginfo.sh
%attr(755,root,root) %{_rpmlibdir}/tgpg
%attr(755,root,root) %{_rpmlibdir}/rpmdb_loadcvt
%{_mandir}/man8/rpm2cpio.8*
%{_mandir}/man8/rpmdeps.8*
#%{_mandir}/man8/rpmcache.8*
#%{_mandir}/man8/rpmgraph.8*
%lang(ja) %{_mandir}/ja/man8/rpm2cpio.8*
#%lang(ja) %{_mandir}/ja/man8/rpmcache.8*
#%lang(ja) %{_mandir}/ja/man8/rpmgraph.8*
%lang(ko) %{_mandir}/ko/man8/rpm2cpio.8*
%lang(pl) %{_mandir}/pl/man8/rpm2cpio.8*
%lang(pl) %{_mandir}/pl/man8/rpmdeps.8*
#%lang(pl) %{_mandir}/pl/man8/rpmcache.8*
#%lang(pl) %{_mandir}/pl/man8/rpmgraph.8*
%lang(ru) %{_mandir}/ru/man8/rpm2cpio.8*

%files utils-perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/rpmdiff*

%if %{with static}
%files utils-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rpm[ieu]
%attr(755,root,root) %{_rpmlibdir}/rpm[ieu]
%endif

%files build
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/rpm/noauto*
%attr(755,root,root) %{_rpmlibdir}/brp-*
%attr(755,root,root) %{_rpmlibdir}/check-files
# %attr(755,root,root) %{_rpmlibdir}/check-prereqs
%attr(755,root,root) %{_rpmlibdir}/compress-doc
%attr(755,root,root) %{_rpmlibdir}/config.*
%attr(755,root,root) %{_rpmlibdir}/cross-build
%attr(755,root,root) %{_rpmlibdir}/find-spec-bcond
%attr(755,root,root) %{_rpmlibdir}/find-lang.sh
%attr(755,root,root) %{_rpmlibdir}/getpo.sh
%attr(755,root,root) %{_rpmlibdir}/install-build-tree
%attr(755,root,root) %{_rpmlibdir}/mkinstalldirs
%attr(755,root,root) %{_rpmlibdir}/u_pkg.sh
%attr(755,root,root) %{_rpmlibdir}/executabledeps.sh
%attr(755,root,root) %{_rpmlibdir}/libtooldeps.sh
# needs hacked pkg-config to return anything
%attr(755,root,root) %{_rpmlibdir}/pkgconfigdeps.sh
%attr(755,root,root) %{_rpmlibdir}/rpmb
%attr(755,root,root) %{_rpmlibdir}/rpmt
%{_rpmlibdir}/noarch-*
%ifarch %{ix86}
%{_rpmlibdir}/i?86*
%{_rpmlibdir}/pentium*
%{_rpmlibdir}/athlon*
%endif
%ifarch alpha
%{_rpmlibdir}/alpha*
%endif
%ifarch ia64
%{_rpmlibdir}/ia64*
%endif
%ifarch mips mipsel mips64 mips64el
%{_rpmlibdir}/mips*
%endif
%ifarch %{ppc}
%{_rpmlibdir}/ppc*
%endif
%ifarch sparc sparc64
%{_rpmlibdir}/sparc*
%endif
%ifarch %{x8664}
%{_rpmlibdir}/amd64*
%{_rpmlibdir}/ia32e*
%{_rpmlibdir}/x86_64*
%endif
# must be here for "Requires: rpm-*prov" to work
%{_rpmlibdir}/macros.java
%{_rpmlibdir}/macros.mono
%{_rpmlibdir}/macros.perl
%{_rpmlibdir}/macros.php
# not used yet ... these six depend on perl
#%attr(755,root,root) %{_rpmlibdir}/http.req
#%attr(755,root,root) %{_rpmlibdir}/magic.prov
#%attr(755,root,root) %{_rpmlibdir}/magic.req
#%{_rpmlibdir}/sql.prov
#%{_rpmlibdir}/sql.req
#%{_rpmlibdir}/tcl.req

%attr(755,root,root) %{_bindir}/gendiff
%attr(755,root,root) %{_bindir}/rpmbuild

%{_mandir}/man1/gendiff.1*
%{_mandir}/man8/rpmbuild.8*
%lang(ja) %{_mandir}/ja/man8/rpmbuild.8*
%lang(pl) %{_mandir}/pl/man1/gendiff.1*
%lang(pl) %{_mandir}/pl/man8/rpmbuild.8*

%files javaprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/java-find-requires
# needs jar (any jdk), jcf-dump (gcc-java) to work
%attr(755,root,root) %{_rpmlibdir}/javadeps.sh

%files perlprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/perl.*
#%attr(755,root,root) %{_rpmlibdir}/perldeps.pl
#%attr(755,root,root) %{_rpmlibdir}/find-perl-*
#%attr(755,root,root) %{_rpmlibdir}/find-*.perl
#%attr(755,root,root) %{_rpmlibdir}/find-prov.pl
#%attr(755,root,root) %{_rpmlibdir}/find-req.pl
#%attr(755,root,root) %{_rpmlibdir}/get_magic.pl

%files pythonprov
%defattr(644,root,root,755)
%{_rpmlibdir}/macros.python
%attr(755,root,root) %{_rpmlibdir}/pythondeps.sh

%files php-pearprov
%defattr(644,root,root,755)
%attr(755,root,root) %{_rpmlibdir}/php*

%if %{with python}
%files -n python-rpm
%defattr(644,root,root,755)
%dir %{py_sitedir}/rpm
%attr(755,root,root) %{py_sitedir}/rpm/*.so
%{py_sitedir}/rpm/*.py[co]
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc apidocs
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpm.spec,v $
Revision 1.837.2.42.2.1  2008-02-06 22:04:47  glen
- rpm 4.4.9 for ac; rel 31

Revision 1.837.2.42  2008-02-06 17:35:11  glen
- change R: filesystem-debuginfo to conflicts

Revision 1.837.2.41  2008-02-05 20:05:33  glen
- fix removal of files from %_netsharedpath on uninstall; rel 30

Revision 1.837.2.40  2008-02-01 16:48:28  glen
- find-lang 1.27

Revision 1.837.2.39  2008-02-01 16:41:38  glen
- revert filezilla related hack; rel 28

Revision 1.837.2.38  2008-02-01 11:45:58  glen
- fix syntax error; rel 27

Revision 1.837.2.37  2008-01-31 23:26:52  glen
- rel 26

Revision 1.837.2.36  2008-01-31 23:05:37  glen
- find_lang r1.26
- find-debug needs updated filesystem-debuginfo; rel 25

Revision 1.837.2.35  2008-01-31 09:55:44  glen
- do not install or package find-php-{requires,provides} (outdated)

Revision 1.837.2.34  2008-01-31 09:43:41  glen
- use php-pear autodep scripts from AC-branch; rel 24

Revision 1.837.2.33  2008-01-30 21:28:58  glen
- allow skipping implicit rm -rf from %clean with %__spec_clean_body redefine
- do not be so evil to skip %clean from specfile; rel 23

Revision 1.837.2.32  2008-01-28 19:31:28  kosmo
- added rpm-v3-support.patch

Revision 1.837.2.31  2008-01-25 00:24:52  glen
- require up to date rpm macros; rel 22

Revision 1.837.2.30  2008-01-25 00:21:13  glen
- reset also LC_ALL,LINGUAS,LANGUAGE,LC_MESSAGES (moved from rpm-build-macros); rel 21

Revision 1.837.2.29  2008-01-15 00:56:03  glen
- get rid of rpm-getdeps package

Revision 1.837.2.28  2008-01-13 13:14:30  glen
- 4.4.9 is LGPL

Revision 1.837.2.27  2008-01-11 20:24:33  glen
- mv -f just in case

Revision 1.837.2.26  2008-01-11 20:13:13  patrys
- use the new format, don't care about old contents

Revision 1.837.2.25  2008-01-11 20:04:57  glen
- prepare /etc/rpm/sysinfo being a dir

Revision 1.837.2.24  2008-01-10 11:18:04  glen
- remove rpmenv files on version upgrade and on -lib package trigger

Revision 1.837.2.23  2008-01-10 11:16:24  glen
- remove rpmenv files on rpm upgrade

Revision 1.837.2.22  2008-01-10 10:37:54  glen
- check-files cleanup

Revision 1.837.2.21  2008-01-10 10:33:12  glen
- -feliminate-dwarf2-dups disabled until PR ld/3290 is fixed.

Revision 1.837.2.20  2008-01-10 09:26:44  glen
- check that find_lang rev is not outdated

Revision 1.837.2.19  2008-01-10 09:17:22  glen
- don't hardcode python version

Revision 1.837.2.18  2008-01-06 18:26:43  qboosh
- release 20: really find_lang 1.25

Revision 1.837.2.17  2008-01-06 18:04:53  qboosh
- find_lang 1.25 (cleanup, consistency, symlinked catalogs support)
- release 19

Revision 1.837.2.16  2007-12-22 18:00:31  glen
- chown syntax in --setugids

Revision 1.837.2.15  2007-12-20 16:02:47  arekm
- rel 18

Revision 1.837.2.14  2007-12-16 20:32:58  qboosh
- C: for non-tukaani lzma

Revision 1.837.2.13  2007-12-10 13:59:24  arekm
- rel 17; fix rpm2cpio

Revision 1.837.2.12  2007-12-10 12:07:04  arekm
- rel 16; use new lzma

Revision 1.837.2.11  2007-11-27 19:26:49  qboosh
- release 15

Revision 1.837.2.10  2007-11-27 19:17:05  qboosh
- versioned Provides rpmbuild(find_lang)

Revision 1.837.2.9  2007-11-24 23:09:40  ankry
- added rpm-man_pl.patch, rel. 14

Revision 1.837.2.8  2007-11-18 14:22:01  arekm
- rel 13; fix rebuilddb with root

Revision 1.837.2.7  2007-11-15 07:35:32  arekm
- rel 12; drop pie; add chroot hack from pld-devel ml

Revision 1.837.2.6  2007-11-10 10:30:18  witekfl
- added the tar_as_secondary_source.patch
- rel 11

Revision 1.837.2.5  2007/11/02 13:01:32  arekm
- fix --root --rebuilddb

Revision 1.837.2.4  2007/11/02 12:04:00  arekm
- use rpm provided check files (checks symlinks, too)

Revision 1.837.2.3  2007/11/01 10:13:48  arekm
- rel 10 (still far from being perfect)

Revision 1.837.2.2  2007/10/31 14:45:11  arekm
- chroot workarounds from rpm5

Revision 1.837.2.1  2007/10/16 09:40:22  tommat
- added rpm-lzma-size_t.patch, to use system size_t, fixes sparc64 lzma
  compressed packages installation
- tested on sparc, sparc64, i686
- rel 9.1 to test more

Revision 1.837  2007/09/23 15:37:44  arekm
- rel 9; _openall_before_chroot set to 1 as kind of cure for most of chroot problems

Revision 1.836  2007/08/30 11:00:36  glen
- rpm-build-tools now available from own spec; rel 8

Revision 1.835  2007/08/09 07:24:58  arekm
- require latest poldek

Revision 1.834  2007/08/07 20:06:37  arekm
- rel 6; backport db 4.6.18 changes from rpm-4.5

Revision 1.833  2007/08/04 12:07:50  qboosh
- fixed libtool-deps patch, release 5

Revision 1.832  2007/07/26 14:55:59  arekm
- rel 4; rebuild with db4.6

Revision 1.831  2007/07/25 19:29:03  glen
- add amd64- to platform file (to be able to use ac rpm-s); rel 3

Revision 1.830  2007/07/20 11:10:27  arekm
- add powerpc- arch to platform file

Revision 1.829  2007/06/25 17:52:41  arekm
- rel 2; revert back to ac-compatible DB_HASH; doing rpm --rebuilddb etc will be probably required after upgrade from rel 1

Revision 1.828  2007/06/18 21:43:04  tommat
- added rpm-rpmdb.patch

Revision 1.827  2007/06/18 18:35:28  qboosh
- forced -fPIE/-pie needs gcc 3.4

Revision 1.826  2007/06/18 18:00:17  tommat
- added rpm-sparc64.patch

Revision 1.825  2007/06/13 21:05:55  arekm
- rel rpm 1/ poldek .12

Revision 1.824  2007/06/10 11:49:11  arekm
- support lzma in rpm2cpio (which fixes lzma payload handling in mc, too)

Revision 1.823  2007/06/08 21:30:59  arekm
- drop -gnu from default platform

Revision 1.822  2007/06/02 22:00:52  arekm
- looks like we need ix86 arches in x86_64 platform file for multiarch support

Revision 1.821  2007/05/29 17:05:34  arekm
- first platform file entry can't contain regexps

Revision 1.820  2007/05/29 15:25:30  arekm
- new urls

Revision 1.819  2007/05/27 20:13:13  arekm
- one more optional gnu

Revision 1.818  2007/05/27 20:04:01  arekm
- fix platform patterns

Revision 1.817  2007/05/27 18:43:46  arekm
- try platform scoring

Revision 1.816  2007/05/26 14:18:46  qboosh
- updated arch-x86_64 patch, include macros for amd64/ia32e/x86_64 flavours

Revision 1.815  2007/05/24 19:29:43  qboosh
- updated mono,javadeps patches to stop using javadeps by default
- release 0.2

Revision 1.814  2007/05/23 18:29:17  arekm
- fix some realloc problems; apply arch-x86_64 (it's needed otherwise we end with amd64 not x86_64 on th)

Revision 1.813  2007/05/23 14:47:00  patrys
- rpmrc is obsolete, drop it from python bindings

Revision 1.812  2007/05/23 14:41:55  arekm
- correct poldek conflict

Revision 1.811  2007/05/22 22:38:02  qboosh
- actually package javaprov stuff

Revision 1.810  2007/05/22 22:33:13  qboosh
- it's enough to run doxygen once, by main make

Revision 1.809  2007/05/22 20:26:22  qboosh
- merged javadeps patch and javaprov package from AC-branch
- unified some caps in descs

Revision 1.808  2007/05/22 20:05:55  qboosh
- ugid.h is installed now

Revision 1.807  2007/05/22 20:05:09  qboosh
- merged macros.java and find-java-requires script from AC-branch

Revision 1.806  2007/05/22 19:48:00  qboosh
- rpm2cpio is a script now, rpm2cpio.sh vanished

Revision 1.805  2007/05/22 18:06:19  qboosh
- updated pld-autodep,doxygen_hack,no-sqlite patches
- removed obsolete glob patch

Revision 1.804  2007/05/21 22:50:35  qboosh
- updated pl.po,link,po,arch-x86_64 patches
- removed obsolete rpmdeps-segv,ds,locale,empty-rpmlock-path,version,iconv-translit patches

Revision 1.803  2007/05/21 20:50:08  arekm
- start messing with 4.4.9; patches need update

Revision 1.802  2007/05/20 23:38:54  arekm
- fix version in rpmlib.h for poldek; it looks usable now

Revision 1.801  2007/04/10 20:32:48  glen
- without suggest_tags bcond for bootstraping

Revision 1.800  2007/04/10 16:05:14  arekm
- make sure internal glob is used (in form of patch)

Revision 1.799  2007/04/08 23:08:24  qboosh
- use popt 1.10.8, db 4.5.20

Revision 1.798  2007/04/08 23:04:20  qboosh
- started update to 4.4.8
- updated pl.po,rpmrc,rpmpopt,compress-doc,etc_dir,system_libs-more,php-deps,
  link,magic-usesystem,po,pld-autodep,doxygen_hack,reduce-stack-usage,no-neon,
  mono,macros,libtool-deps,iconv-translit patches
- removed obsolete examplesaredoc,getcwd,libdir64,libdir-links,pythondeps,
  vendor,patch-quote,requireseq,lzma,lzma2,skip-backups,CVE-2006-5466,
  build-failure-error,mcontext,FileDigestParametrized,lua_linking patches
- added pkgconfigdeps patch

Revision 1.797  2007/03/11 13:32:52  tommat
- added lua linking patch

Revision 1.796  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.795  2007/02/12 18:32:45  qrczak
- rpm-iconv-translit.patch: when converting strings to the locale
  encoding, unconvertible characters are approximated. If the source
  is not valid UTF-8, the string is passed without conversion instead
  of assuming ISO-8859-1.
- Release 13

Revision 1.794  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.793  2007/02/08 16:31:06  arekm
- fix previous commit message

Revision 1.792  2007/02/08 16:28:50  arekm
- rel 12; On athlon machine used as i486 builder:
  rpmbuild -bb test.spec --without x --target=i486-pld-linux
  makes rpm set optflags: -O2 -fno-strict-aliasing -fwrapv -march=athlon

  rpmbuild -bb test.spec --target=i486-pld-linux  --without x
  makes rpm set optflags: -O2 -fno-strict-aliasing -fwrapv -march=i486

  Added /etc/rpm/platform fixes that.

Revision 1.791  2007/02/08 14:06:38  arekm
- added /etc/rpm/platform; machine scoring will be done by regexps trough this file in future rpm

Revision 1.790  2007/02/08 13:47:53  arekm
- rel 11; should fix _host, _build, _target issues

Revision 1.789  2007/02/08 08:43:05  arekm
- system provides like some /proc files needed by dev.spec

Revision 1.788  2007/02/08 08:32:49  arekm
- rpmrc is obsolete

Revision 1.787  2007/02/06 21:49:08  arekm
- rel 10 with no symbolic thing

Revision 1.786  2007/02/03 22:38:12  arekm
- rel 9; rebuild

Revision 1.785  2007/01/24 10:22:46  arekm
- rel 8

Revision 1.784  2007/01/20 23:45:00  qboosh
- more comments on repackaging

Revision 1.783  2007/01/20 17:48:35  qboosh
- pl.po updates (in pl.po,etc_dir,build-failure-error patches)
- removed obsolete print-requires patch (RPMSENSE_PREREQ is non-zero again)

Revision 1.782  2007/01/14 16:23:09  arekm
- rel 7; require new poldek; cvs fix for rpmlib dep

Revision 1.781  2007/01/14 15:42:34  arekm
- rebuild with rpm-FileDigestParameterized.patch patch

Revision 1.780  2007/01/13 23:42:53  arekm
- rel 6

Revision 1.779  2007/01/13 19:46:05  arekm
- rel 5; generate libtool Requires only for -devel subpackages

Revision 1.778  2007/01/09 22:59:05  arekm
- rel 4; disable scriplets executable() - unsolvable in some cases in current rpm

Revision 1.777  2007/01/09 16:11:01  arekm
- rel 3; display some error message when source files are missing

Revision 1.776  2007/01/06 17:41:51  arekm
- rel 2; fix tmppaths defs; buildroot is now defined in system macros as read only macro (so BuildRoot in spec does nothing)

Revision 1.775  2007/01/05 14:20:04  arekm
- rel 1 for rpm 4.4.7

Revision 1.774  2006/12/01 10:19:30  qboosh
- added CVE-2006-5466 patch

Revision 1.773  2006/11/26 18:12:02  arekm
- detect libtool files using file binary; fixes libqt-mt.la missdetection

Revision 1.772  2006/10/18 18:12:05  arekm
- rel 0.2; resurrect rpmrc; fix magicfile path

Revision 1.771  2006/10/17 21:06:11  arekm
- builds; all patches fixed

Revision 1.770  2006/10/17 19:11:02  arekm
- 2 left

Revision 1.769  2006/10/17 19:00:22  arekm
- started update to 4.4.7; only 4 patches to fix

Revision 1.768  2006/09/29 22:56:12  pluto
- debugcflags -= -feliminate-dwarf2-dups disabled until PR ld/3290 is fixed.
- release 1.17.

Revision 1.767  2006/09/26 22:11:45  wrobell
- rel. 1.16 to rebuild with python 2.5 (final)

Revision 1.766  2006/09/25 18:11:03  witekfl
- added repackage-wo-lzma.patch
- to install and then uninstall repackaged packages use --nodigest

Revision 1.765  2006/09/24 18:31:32  witekfl
- drop bzip2_fallback. It didn't work.

Revision 1.764  2006/09/12 09:59:26  pluto
- move new R:binutils, to -build subpkg.

Revision 1.763  2006/09/12 08:39:12  pluto
- R: fixed binutils for optimized debuginfo (-feliminate-dwarf2-dups).

Revision 1.762  2006/09/08 18:41:47  witekfl
- added bzip2_fallback.patch
- rel 1.14

Revision 1.761  2006/09/04 18:07:16  wolf
- S lzma for rpm-lib

Revision 1.760  2006/09/02 21:49:55  witekfl
- fixed without apidocs

Revision 1.759  2006/09/02 20:15:07  pluto
- .gnu_debuglink on line, release 1.12.

Revision 1.758  2006/08/25 09:09:41  wrobell
- build with python 2.5, rel 1.11

Revision 1.757  2006/08/05 20:34:57  sparky
- added as_needed-fix patch

Revision 1.756  2006/08/05 20:22:38  sparky
- build require latest macros
- added some BR for apidocs
- rel 1.10

Revision 1.755  2006/07/24 06:46:14  freetz
- removed junk, rel.1.9

Revision 1.754  2006/07/24 06:40:27  freetz
- rel.1.8 (--as-needed by default)

Revision 1.753  2006/06/30 21:10:51  pluto
- release 1.7 (debuginfo fixes).

Revision 1.752  2006/05/25 15:29:12  wolf
- changed R: rc-scripts to R: filesystem
- rel 1.6

Revision 1.751  2006/05/24 13:23:34  wolf
- move R: rc-scripts from main package to -base subpackage
- rel 1.5

Revision 1.750  2006/05/24 09:09:46  glen
- need newer rpm-build-macros not to conflict with payload specification

Revision 1.749  2006/05/23 23:27:07  wolf
- R: rc-scripts (/etc/sysconfig)
- rel 1.4

Revision 1.748  2006/05/23 23:02:11  wolf
- use lzma compression by default
- rel 1.3

Revision 1.747  2006/05/23 20:57:44  pluto
- release 1.2.

Revision 1.746  2006/05/23 20:07:49  glen
- PEAR build macros moved to rpm-build-macros

Revision 1.745  2006/05/05 12:18:14  pluto
- obsolete patch removed.

Revision 1.744  2006/05/02 16:48:07  glen
- add truncate-cvslog, skip-backups.patch patches

Revision 1.743  2006/04/30 14:33:32  glen
- partial merge from HEAD

Revision 1.742  2006/04/27 07:59:56  glen
- adapter

Revision 1.741  2006/04/23 13:42:46  witekfl
- added lzma patches (lzma has high compression ratio even better than bzip2).
  Use w9.lzdio as payload. Not heavily tested.
- rpm-build requires lzma
- release 1

Revision 1.740  2006/04/17 17:31:43  qboosh
- updated to 4.4.6 (with erasure reordering acc. to CHANGES)
- updated pl.po,system_libs,po,doxygen_hack,no-neon,pld-autodep patches

Revision 1.739  2006/03/30 15:47:37  arekm
- rel 2; pear fixes

Revision 1.738  2006/03/20 17:29:30  qboosh
- updated file R in -build

Revision 1.737  2006/03/20 16:29:38  wolf
- update for file 4.17
- rel 1

Revision 1.736  2006/03/07 17:53:36  glen
- PEAR dep is in each php-pear package to avoid BR loops

Revision 1.735  2006/03/04 15:59:11  qboosh
- pl.po fix, release 0.3

Revision 1.734  2006/03/03 18:03:27  wrobell
- disable morearchs patch for now as it is broken
- rel. 0.2

Revision 1.733  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.732  2006/02/28 22:05:57  qboosh
- updated to 4.4.5
- updated pl.po,etc_dir,libdir-links,doxygen_hack,empty-rpmlock-path,no-neon,morearchs patches
- removed obsolete symlinks patch

Revision 1.731  2006/02/21 21:53:55  pluto
- fix symlinks install, release 1.

Revision 1.730  2006/02/17 15:24:15  glen
- remove .packlist and perllocal.pod for perl packages, rel 0.6

Revision 1.729  2006/02/12 00:29:27  sparky
- first hack is unneeded

Revision 1.728  2006/02/11 21:30:37  sparky
- more --host=ppc7450-pld-linux-gnu must be killed

Revision 1.727  2006/02/11 20:38:14  sparky
- added morearchs, not very clean as _host must be ppc-pld-linux-gnu for those
